IXP_WRITE(3)

NAME

ixp_write, ixp_pwrite

SYNOPSIS
  #include <ixp.h>

  long ixp_write(IxpCFid *fid, const void *buf, long count);

  long ixp_pwrite(IxpCFid *fid, const void *buf, long count, int64_t offset);

PARAMETERS

buf A buffer holding the contents to store.

count
    The number of bytes to store.

offset
    The offset at which to write the data.

DESCRIPTION

ixp_write and ixp_pwrite each write IcountR bytes of data stored in IbufR to the file pointed to by C<fid>. ixp_write writes its data at its stored offset, and increments it by IcountR. ixp_pwrite writes its data a IoffsetR and does not alter C<fid>'s stored offset.

RETURN VALUE

These functions return the number of bytes actually written. Any value less than IcountR must be considered a failure.

SEE ALSO

ixp_mount(3), ixp_open(3), ixp_read(3)